Bug 475963 - slabtop -o is broken?
slabtop -o is broken?
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: procps (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Novotny
Depends On:
  Show dependency treegraph
Reported: 2008-12-11 06:01 EST by Petr Šplíchal
Modified: 2016-05-31 21:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-30 04:06:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for slabtop -o (2.96 KB, patch)
2008-12-11 07:38 EST, Daniel Novotny
no flags Details | Diff

  None (edit)
Description Petr Šplíchal 2008-12-11 06:01:36 EST
Using slabtop with --once option erases curses window just after
displaying the contents, so in this way it's quite useles. There
should be no erase and the data should be displayed in stdout.

Issue present in procps-3.2.7-11.1.el5

+++ This bug was initially created as a clone of Bug #437476 +++

According to the slabtop(8) manual page:

	--once, -o
              Display the output once and then exit.

However, this is not the case:

# slabtop -o
# echo $?

Please fix.


--- Additional comment from dnovotny@redhat.com on 2008-09-24 06:08:57 EDT ---


I analyzed the problem, it is indeed a bug, and I found a solution:

the problem was, that the output went to curses and disappeared after
endwin(), so I managed to print it, when "-o" option is used, to stdout
Comment 1 Daniel Novotny 2008-12-11 07:38:40 EST
Created attachment 326609 [details]
patch for slabtop -o

okay, patch ported to RHEL5 version of procps
Comment 4 Daniel Novotny 2009-11-19 09:39:47 EST
fixed in procps-3.2.7-12.el5
Comment 8 errata-xmlrpc 2010-03-30 04:06:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.